Bug 11252 - rebuild_zebra.pl should not have --munge-config
Summary: rebuild_zebra.pl should not have --munge-config
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-14 18:46 UTC by Galen Charlton
Modified: 2015-06-04 23:23 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11252: remove deprecated -munge-config switch from rebuild_zebra.pl (14.74 KB, patch)
2013-11-14 18:50 UTC, Galen Charlton
Details | Diff | Splinter Review
Bug 11252: remove deprecated -munge-config switch from rebuild_zebra.pl (14.83 KB, patch)
2013-12-22 22:11 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 11252: remove deprecated -munge-config switch from rebuild_zebra.pl (15.04 KB, patch)
2013-12-26 13:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Galen Charlton 2013-11-14 18:46:13 UTC
The --munge-config option of rebuild_zebra.pl attempts to create a valid Zebra configuration.  While there was a period in the 3.0 days where this might have been useful, nowadays this option would either not work, or if it does work, be actively dangerous.
Comment 1 Galen Charlton 2013-11-14 18:50:57 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2013-12-22 22:11:53 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-12-26 13:03:33 UTC
Created attachment 23820 [details] [review]
[PASSED QA] Bug 11252: remove deprecated -munge-config switch from rebuild_zebra.pl

The -munge-config switch has been deprecated for years, and
trying to use it would either not work at all or, if it did "work",
almost certainly damage one's Zebra configuration for Koha.

This patch removes this switch.

To test:

[1] Run rebuild_zebra.pl and verify that no mention is made
    of -munge-config.
[2] Run rebuild_zebra.pl to index records in one's test database
    and verify that there are no regressions.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Removing a really dangerous option

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes all tests and QA script.
Ran rebuild_zebra.pl with various options and confirmed
that data was reindexed successfully.
No regressions found.
Comment 4 Galen Charlton 2013-12-26 15:25:17 UTC
Pushed to master.
Comment 5 Fridolin SOMERS 2014-01-14 08:33:31 UTC
Patch pushed to 3.14.x, will be in 3.14.2.